## irssi-plugin-xmpp 0.13

=== Makefile ===
SUBDIR= src

.PHONY: clean all user-install

all:
	@if [ -z "${IRSSI_INCLUDE}" ] ;                                            \
	then                                                                       \
		echo "Please specify a valid IRSSI_INCLUDE environment variable !" ;   \
		exit 1 ;                                                               \
	else                                                                       \
		${MAKE} -C ${SUBDIR} all ;                                             \
	fi

clean:
	${MAKE} -C ${SUBDIR} clean

user-install:
	${MAKE} -C ${SUBDIR} user-install

=== src/Makefile ===
SUBDIR= core fe-common

.PHONY: clean all user-install

all:
	for dir in ${SUBDIR} ; do (${MAKE} -C $$dir all) ; done

clean:
	for dir in ${SUBDIR} ; do (${MAKE} -C $$dir clean) ; done

user-install:
	for dir in ${SUBDIR} ; do (${MAKE} -C $$dir user-install) ; done

=== src/core/Makefile ===
LIB= xmpp_core
SRCS= xmpp-core.c xmpp-servers.c xmpp-commands.c xmpp-queries.c xmpp-protocol.c xmpp-rosters.c
OBJS= $(SRCS:.c=.o)

CFLAGS+=	-fPIC \
			-std=c99 -Wall -W \
			-I${IRSSI_INCLUDE} \
			-I${IRSSI_INCLUDE}/src \
			-I${IRSSI_INCLUDE}/src/core \
			`pkg-config --cflags loudmouth-1.0` \
			-DUOFF_T_LONG #-ggdb -DDEBUG
LDFLAGS+=	-shared \
			`pkg-config --libs loudmouth-1.0`

all: $(LIB)

$(LIB): $(OBJS)
	$(CC) -shared -o lib$@.so $^ $(LDFLAGS)

%.o: %.c
	$(CC) -o $@ -c $< $(CFLAGS)

.PHONY: clean user-install

user-install:
	install -d ~/.irssi/modules
	install lib$(LIB).so ~/.irssi/modules

clean:
	rm -rf *.o *.so *.core

=== src/fe-common/Makefile ===
LIB= fe_xmpp
SRCS= fe-xmpp.c module-formats.c xmpp-completion.c fe-xmpp-roster.c
OBJS= $(SRCS:.c=.o)

CFLAGS+=	-std=c99 -Wall -W \
			-I${IRSSI_INCLUDE} \
			-I${IRSSI_INCLUDE}/src \
			-I${IRSSI_INCLUDE}/src/core \
			-I$(IRSSI_INCLUDE)/src/fe-common/core \
			-I../../src/core \
			`pkg-config --cflags loudmouth-1.0` \
			-DUOFF_T_LONG
LDFLAGS+= `pkg-config --libs loudmouth-1.0`

all: $(LIB)

$(LIB): $(OBJS)
	$(CC) -shared -o lib$@.so $^ $(LDFLAGS)

%.o: %.c
	$(CC) -fPIC -o $@ -c $< $(CFLAGS)

.PHONY: clean user-install

user-install:
	install -d ~/.irssi/modules
	install lib$(LIB).so ~/.irssi/modules

clean:
	rm -rf *.o *.so *.core

## irssi-plugin-xmpp 0.13+cvs20080610

=== Makefile ===
# $Id: Makefile,v 1.6 2008/04/04 16:02:15 errtu Exp $

include config.mk

all clean user-install user-uninstall:
	@cd src/ && ${MAKE} $@

install:
	@cd src/ && ${MAKE} $@
	@${MAKE} doc-install help-install

uninstall: doc-uninstall help-uninstall
	@cd src/ && ${MAKE} $@

doc-install:
	@echo installing documentation files to ${DESTDIR}${IRSSI_DOC}/irssi-xmpp
	@install -d ${DESTDIR}${IRSSI_DOC}/irssi-xmpp
	@cd docs/ && install FAQ GENERAL MUC STARTUP XEP ${DESTDIR}${IRSSI_DOC}/irssi-xmpp

doc-uninstall:
	@echo uninstalling documentation files from ${DESTDIR}${IRSSI_DOC}/irssi-xmpp
	@rm -rf ${DESTDIR}${IRSSI_DOC}/irssi-xmpp

help-install:
	@echo installing command help files to ${DESTDIR}${IRSSI_HELP}
	@install -d ${DESTDIR}${IRSSI_HELP}
	@cd help/ && install roster xmppconnect xmppserver ${DESTDIR}${IRSSI_HELP}

help-uninstall:
	@echo uninstalling command help files from ${DESTDIR}${IRSSI_HELP}
	@cd ${DESTDIR}${IRSSI_HELP} && rm -f roster xmppconnect xmppserver

.PHONY: all clean install uninstall user-install user-uninstall doc-install doc-uninstall help-install help-uninstall

=== src/Makefile ===
# $Id: Makefile,v 1.6 2007/12/05 16:47:18 errtu Exp $

all clean user-install install:
	@echo "core module:"
	@cd core/ && ${MAKE} $@
	@echo "fe-common submodule:"
	@cd fe-common/ && ${MAKE} $@
	@echo "fe-text submodule:"
	@cd fe-text/ && ${MAKE} $@	

.PHONY: all clean user-install install

=== src/core/Makefile ===
# $Id: Makefile,v 1.14 2008/01/07 07:29:13 errtu Exp $

LIB= xmpp_core
SRCS=	loudmouth-tools.c \
	xmpp-channels.c \
	xmpp-commands.c \
	xmpp-core.c \
	xmpp-nicklist.c \
	xmpp-ping.c \
	xmpp-protocol.c \
	xmpp-queries.c \
	xmpp-rosters.c \
	xmpp-rosters-tools.c \
	xmpp-servers.c \
	xmpp-servers-reconnect.c \
	xmpp-session.c \
	xmpp-settings.c \
	xmpp-tools.c \
	xmpp-xep.c

LIB_LIBS = `pkg-config --libs loudmouth-1.0`

include ../rules.mk

=== src/fe-common/Makefile ===
# $Id: Makefile,v 1.15 2007/12/21 17:03:35 errtu Exp $

LIB= fe_xmpp
SRCS=	fe-xmpp-channels.c \
	fe-xmpp-composing.c \
	fe-xmpp-messages.c \
	fe-xmpp-queries.c \
	fe-xmpp-raw.c \
	fe-xmpp-rosters.c \
	fe-xmpp-status.c \
	fe-xmpp-whois.c \
	fe-xmpp-windows.c \
	fe-xmpp.c \
	module-formats.c \
	xmpp-completion.c

LIB_LIBS = `pkg-config --libs glib-2.0`

include ../rules.mk

=== src/fe-text/Makefile ===
# $Id: Makefile,v 1.6 2007/12/21 17:03:35 errtu Exp $

LIB= text_xmpp
SRCS= text-xmpp.c text-xmpp-composing.c text-xmpp-nick.c

LIB_INCS = -I../../src/fe-text/include/irssi/src/fe-text
LIB_LIBS = `pkg-config --libs glib-2.0`

include ../rules.mk

## irssi-plugin-xmpp 0.51+cvs20100627

=== src/core/Makefile ===
# $Id: Makefile,v 1.29 2009/04/05 14:15:35 cdidier Exp $

LIB= xmpp_core
SRCS=	xmpp-commands.c \
	xmpp-core.c \
	xmpp-queries.c \
	xmpp-servers.c \
	xmpp-servers-reconnect.c \
	xmpp-settings.c \
	loudmouth-tools.c \
	protocol.c \
	rosters.c \
	rosters-tools.c \
	stanzas.c \
	tools.c \
	xep/chatstates.c \
	xep/composing.c \
	xep/datetime.c \
	xep/delay.c \
	xep/disco.c \
	xep/muc-commands.c \
	xep/muc-events.c \
	xep/muc-nicklist.c \
	xep/muc-reconnect.c \
	xep/muc.c \
	xep/oob.c \
	xep/ping.c \
	xep/registration.c \
	xep/tool_datalist.c \
	xep/vcard.c \
	xep/version.c \
	xep/xep.c

LIB_LIBS = `pkg-config --libs loudmouth-1.0`

include ../rules.mk

## irssi-plugin-xmpp 0.52

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.6 2008/04/04 16:02:15 errtu Exp $
+# $Id: Makefile,v 1.7 2008/06/23 14:37:16 cdidier Exp $
 
 include config.mk
 
@@ -24,7 +24,7 @@
 help-install:
 	@echo installing command help files to ${DESTDIR}${IRSSI_HELP}
 	@install -d ${DESTDIR}${IRSSI_HELP}
-	@cd help/ && install roster xmppconnect xmppserver ${DESTDIR}${IRSSI_HELP}
+	@cd help/ && install -m 644 roster xmppconnect xmppserver ${DESTDIR}${IRSSI_HELP}
 
 help-uninstall:
 	@echo uninstalling command help files from ${DESTDIR}${IRSSI_HELP}

=== src/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.6 2007/12/05 16:47:18 errtu Exp $
+# $Id: Makefile,v 1.6 2007/12/05 16:47:18 cdidier Exp $
 
 all clean user-install install:
 	@echo "core module:"

=== src/fe-common/Makefile ===
# $Id: Makefile,v 1.26 2009/04/05 14:15:35 cdidier Exp $

LIB= fe_xmpp
SRCS=	fe-xmpp-messages.c \
	fe-xmpp-queries.c \
	fe-xmpp-status.c \
	fe-xmpp-windows.c \
	fe-rosters.c \
	fe-stanzas.c \
	fe-xmpp-core.c \
	module-formats.c \
	xmpp-completion.c \
	xmpp-formats.c \
	xep/fe-composing.c \
	xep/fe-delay.c \
	xep/fe-muc.c \
	xep/fe-ping.c \
	xep/fe-registration.c \
	xep/fe-vcard.c \
	xep/fe-version.c \
	xep/fe-xep.c


LIB_INCS = -I../../src/fe-common 
LIB_LIBS = `pkg-config --libs glib-2.0`

include ../rules.mk

=== src/fe-text/Makefile ===
# $Id: Makefile,v 1.9 2008/08/30 17:08:02 cdidier Exp $

LIB= text_xmpp
SRCS=	text-xmpp-core.c \
	xep/text-composing.c \
	xep/text-muc.c \
	xep/text-xep.c

LIB_INCS = -I../../src/fe-text/include/irssi/src/fe-text
LIB_LIBS = `pkg-config --libs glib-2.0`

include ../rules.mk

=== debian/changelog ===
irssi-plugin-xmpp (0.52-2) unstable; urgency=low

  * Added hardening.patch to actually use the dpkg-buildflags.
  * Dropped version on irssi(-dev) dependency
  * Email change: Florian Schlichting -> fsfs@debian.org
  * Patches plucked from upstream CVS:
    + kill-the-stroneline-function (closes: #693079)
    + fix-crash-on-empty-resource
    + replace-deprecated-g_strncasecmp

 -- Florian Schlichting <fsfs@debian.org>  Mon, 06 May 2013 00:03:37 +0200

irssi-plugin-xmpp (0.52-1) unstable; urgency=low

  * New Maintainer (closes: #667987).
  * Imported Upstream version 0.52 (closes: #661302).
    + fixing MUC invites to be compliant (closes: #609530).
  * Bumped debhelper compatibility to level 9.
  * Refreshed debian/copyright, switching to copyright-format 1.0.
  * Bumped Standards-Version to 3.9.3 (no further changes).
  * Renamed docs to irssi-plugin-xmpp.docs, include all of docs/, TODO.
  * Switched to short debian/rules.
  * Added a watch file.
  * Added pkg-config to build-dependencies.
  * Added Homepage field to source package control paragraph.

 -- Florian Schlichting <fschlich@zedat.fu-berlin.de>  Sun, 08 Apr 2012 15:34:43 +0200

irssi-plugin-xmpp (0.51+cvs20100627-1) unstable; urgency=low

  * New upstream release + CVS snapshot (Closes: #588163).
    - Prompt for a password if none was provided in the configuration
      (Closes: #580659).
    - Don't segfault upon reception of a ping without "from" field.
      (Closes: #521227).
    - Various bugfixes and improvements.
  * Provide a package with debugging symbols (Closes: #580658).
  * Bump Standards-Version to 3.8.4 (no changes needed).

 -- David Ammouial <da-deb@weeno.net>  Tue, 06 Jul 2010 15:14:51 +0200

irssi-plugin-xmpp (0.50+cvs20100122-1) unstable; urgency=low

  * New CVS snapshot that allows connections to talk.google.com
    (Closes: #565581).

 -- David Ammouial <da-deb@weeno.net>  Fri, 22 Jan 2010 16:09:55 -0600

irssi-plugin-xmpp (0.50+cvs20100105-1) unstable; urgency=low

  * New CVS snapshot.
    - Delayed Delivery (XEP-0203) support.
    - Account registration support.
    - Support for /CYCLE command, similar to IRC's.
    - Modification of "/roster add" behaviour.
    - TLS is used for connecting when available (Closes: #526356).
    - Use a timeout on connections to prevent frozen connections.
  * Bump Standards-Version to 3.8.3 (no changes).
  * Fix handling of CFLAGS environment in upstream Makefile (many thanks
    to Raphaël Hertzog).

 -- David Ammouial <da-deb@weeno.net>  Wed, 06 Jan 2010 05:11:18 -0600

irssi-plugin-xmpp (0.13+cvs20090617-1) unstable; urgency=low

  * New CVS snapshot:
    - Some bugfixes and code cleanup.
    - Allow to build on ia64 (Closes: #530304).
  * Bump Standards-Version to 3.8.2 (no changes). 

 -- David Ammouial <da-deb@weeno.net>  Fri, 19 Jun 2009 23:14:39 -0500

irssi-plugin-xmpp (0.13+cvs20090406-1) unstable; urgency=low

  * New CVS snapshot, built against irssi-dev 0.8.13:
    - New features and bugfixes.
    - Fix segfault when successfully identified (Closes: #521227).
    - Fix build error (Closes: #527697)
  * Depend on irssi >=0.8.13, build-depend on irssi-dev >=0.8.13.
  * Bump Standards-Version to 3.8.1 (no changes needed).
  * Add INTERNAL to documentation files.

 -- David Ammouial <da-deb@weeno.net>  Tue, 12 May 2009 12:14:44 -0500

irssi-plugin-xmpp (0.13+cvs20080610-1) unstable; urgency=low

  * New CVS snapshot:
    - New features and bugfixes.
    - Fix ignoring of messages without a type attribute (Closes: #477989).
  * Depend on irssi >=0.8.12 (Closes: #469923).
  * Add FAQ and MUC to documentation files (Closes: #485595).
  * debian/rules: install help files in irssi help directory.
  * debian/rules: Remove useless "make -n" command in build-stamp rule.
  * Bump Standards-Version to 3.8.0 (no changes needed). 
  * debian/control: Add "Enhances: irssi".

 -- David Ammouial <da-deb@weeno.net>  Mon, 23 Jun 2008 16:03:33 +0200

irssi-plugin-xmpp (0.13+cvs20080121-1) unstable; urgency=low

  * CVS snapshot.
  * Rephrased package description, thanks to Ted Percival (Closes: #444109).
  * debian/control: Promote "Homepage" to a real field.
  * Update homepage.
  * Adapt debian/rules to new upstream Makefile system.
  * Bump Standards-Version to 3.7.3 (no changes required).
  * Removed empty TODO from debian/docs, added docs/GENERAL, docs/STARTUP,
    docs/XEP.

 -- David Ammouial <da-deb@weeno.net>  Mon, 04 Feb 2008 21:01:27 +0100

irssi-plugin-xmpp (0.13-1) unstable; urgency=low

  * Initial release (Closes: #440017).

 -- David Ammouial <da-deb@weeno.net>  Wed, 29 Aug 2007 10:59:29 +0200

=== debian/control ===
Source: irssi-plugin-xmpp
Maintainer: Florian Schlichting <fsfs@debian.org>
Section: net
Priority: optional
Build-Depends: debhelper (>= 9),
               irssi-dev,
               libloudmouth1-dev,
               pkg-config
Standards-Version: 3.9.4
Homepage: http://cybione.org/~irssi-xmpp/

Package: irssi-plugin-xmpp
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         irssi
Enhances: irssi
Description: XMPP plugin for irssi
 An irssi plugin to connect to the Jabber network, using the XMPP protocol.
 .
 Its main features are:
  - Sending and receiving messages in irssi's query windows
  - A roster with contact & resource tracking (contact list)
  - Contact management (add, remove, manage subscriptions)
  - Tab completion of commands, JIDs and resources
  - Support for multiple accounts
  - Unicode support (UTF-8)
  - SSL support

Package: irssi-plugin-xmpp-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends},
         irssi,
         irssi-plugin-xmpp (= ${binary:Version})
Enhances: irssi
Description: XMPP plugin for irssi - Debugging symbols
 An irssi plugin to connect to the Jabber network, using the XMPP protocol.
 .
 Its main features are:
  - Sending and receiving messages in irssi's query windows
  - A roster with contact & resource tracking (contact list)
  - Contact management (add, remove, manage subscriptions)
  - Tab completion of commands, JIDs and resources
  - Support for multiple accounts
  - Unicode support (UTF-8)
  - SSL support
 .
 This package features debugging symbols for the plugin.

## irssi-plugin-xmpp 0.52%2Bgit20140102

=== Makefile ===
all clean user-install install:
	@echo "core module:"
	@cd core/ && ${MAKE} $@
	@echo "fe-common submodule:"
	@cd fe-common/ && ${MAKE} $@
	@echo "fe-text submodule:"
	@cd fe-text/ && ${MAKE} $@	

.PHONY: all clean user-install install

=== core/Makefile ===
LIB= xmpp_core
SRCS=	xmpp-commands.c \
	xmpp-core.c \
	xmpp-queries.c \
	xmpp-servers.c \
	xmpp-servers-reconnect.c \
	xmpp-settings.c \
	loudmouth-tools.c \
	protocol.c \
	rosters.c \
	rosters-tools.c \
	stanzas.c \
	tools.c \
	xep/chatstates.c \
	xep/composing.c \
	xep/datetime.c \
	xep/delay.c \
	xep/disco.c \
	xep/muc-commands.c \
	xep/muc-events.c \
	xep/muc-nicklist.c \
	xep/muc-reconnect.c \
	xep/muc.c \
	xep/oob.c \
	xep/ping.c \
	xep/registration.c \
	xep/tool_datalist.c \
	xep/vcard.c \
	xep/version.c \
	xep/xep.c

LIB_LIBS = `pkg-config --libs loudmouth-1.0`

include ../rules.mk

## irssi-plugin-xmpp 0.52%2Bgit20160118

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,9 @@
                irssi-dev,
                libloudmouth1-dev,
                pkg-config
-Standards-Version: 3.9.4
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/irssi-plugin-xmpp.git
+Vcs-Git: https://anonscm.debian.org/collab-maint/irssi-plugin-xmpp.git
 Homepage: http://cybione.org/~irssi-xmpp/
 
 Package: irssi-plugin-xmpp
@@ -48,4 +50,3 @@
   - SSL support
  .
  This package features debugging symbols for the plugin.
-

## irssi-plugin-xmpp 0.52+git20140102

=== debian/changelog ===
irssi-plugin-xmpp (0.52+git20140102-1) unstable; urgency=medium

  [ Florian Schlichting ]
  * Import Upstream version 0.52+git20140102
  * Add VCS-* fields for collab-maint on alioth
  * Add upstream git URL to Source field in debian/copyright
  * Drop patches plucked from upstream CVS
  * Refresh hardening.patch (offset, drop hunk fixed upstream)
  * Provide xmpp-admin.pl script by Seth Difley
  * Add GTalk-MUC-support.patch, plucked from github/freemandrew
  * Add support for XMPP-PGP, plucked from github/singpolyma
  * New useless-dependency-on-libidn.patch, to fix a lintian warning
  * Declare compliance with Debian Policy 3.9.5

 -- Florian Schlichting <fsfs@debian.org>  Fri, 03 Jan 2014 00:25:20 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
                irssi-dev,
                libloudmouth1-dev,
                pkg-config
-Standards-Version: 3.9.7
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/irssi-plugin-xmpp.git
-Vcs-Git: https://anonscm.debian.org/collab-maint/irssi-plugin-xmpp.git
+Standards-Version: 3.9.5
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/irssi-plugin-xmpp.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/irssi-plugin-xmpp.git
 Homepage: http://cybione.org/~irssi-xmpp/
 
 Package: irssi-plugin-xmpp
@@ -50,3 +50,4 @@
   - SSL support
  .
  This package features debugging symbols for the plugin.
+

=== debian/watch ===
version=3
http://cybione.org/~irssi-xmpp/files/irssi-xmpp-(.*)\.tar\.gz

## irssi-plugin-xmpp 0.52+git20160118

=== Makefile ===
include config.mk

all clean user-install user-uninstall:
	@cd src/ && ${MAKE} $@

install:
	@cd src/ && ${MAKE} $@
	@${MAKE} doc-install help-install

uninstall: doc-uninstall help-uninstall
	@cd src/ && ${MAKE} $@

doc-install:
	@echo installing documentation files to ${DESTDIR}${IRSSI_DOC}/irssi-xmpp
	@install -d ${DESTDIR}${IRSSI_DOC}/irssi-xmpp
	@cd docs/ && install -m 644 FAQ GENERAL MUC STARTUP XEP ${DESTDIR}${IRSSI_DOC}/irssi-xmpp

doc-uninstall:
	@echo uninstalling documentation files from ${DESTDIR}${IRSSI_DOC}/irssi-xmpp
	@rm -rf ${DESTDIR}${IRSSI_DOC}/irssi-xmpp

help-install:
	@echo installing command help files to ${DESTDIR}${IRSSI_HELP}
	@install -d ${DESTDIR}${IRSSI_HELP}
	@cd help/ && install -m 644 presence roster xmppconnect xmppserver ${DESTDIR}${IRSSI_HELP}

help-uninstall:
	@echo uninstalling command help files from ${DESTDIR}${IRSSI_HELP}
	@cd ${DESTDIR}${IRSSI_HELP} && rm -f presence roster xmppconnect xmppserver

.PHONY: all clean install uninstall user-install user-uninstall doc-install doc-uninstall help-install help-uninstall

=== core/Makefile ===
--- 
+++ 
@@ -29,6 +29,6 @@
 	xep/version.c \
 	xep/xep.c
 
-LIB_LIBS = `pkg-config --libs loudmouth-1.0`
+LIB_LIBS = `pkg-config --libs loudmouth-1.0 | sed -e's/-lidn//'`
 
 include ../rules.mk

=== debian/changelog ===
irssi-plugin-xmpp (0.52+git20160118-1) unstable; urgency=medium

  * Import Upstream version 0.52+git20160118
  * Add XEP-0280 Message Carbons patch from singpolyma
  * Drop patches applied upstream:
    + useless-dependency-on-libidn.patch
    + hardening.patch
    + singpolyma-0201-If-the-resource-is-blank-do-not-include-it.patch
    + require-starttls.patch
    + set_ssl-conflicting-declarations.patch
  * Add singpolyma-fix-warnings.patch to address four compiler warnings
  * Update debian/copyright

 -- Florian Schlichting <fsfs@debian.org>  Mon, 18 Jan 2016 22:39:00 +0100

irssi-plugin-xmpp (0.52+git20140102-3) unstable; urgency=medium

  * Update XMPP-PGP support (closes: #779156)
  * Add strip_resource_08082009.patch to optionally ignore random resource
    strings
  * Bump Standards-Version to 3.9.6 (no changes necessary)

 -- Florian Schlichting <fsfs@debian.org>  Fri, 27 Mar 2015 21:44:52 +0100

irssi-plugin-xmpp (0.52+git20140102-2) unstable; urgency=medium

  * Add require-starttls.patch to ensure encrypted connections and prevent
    ssl-stripping attacks (closes: #754839). Thanks dkg for the patch!
  * Fix conflicting declarations of set_ssl and ensure encryption when
    registering (closes: #749411)

 -- Florian Schlichting <fsfs@debian.org>  Tue, 15 Jul 2014 15:01:05 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                irssi-dev,
                libloudmouth1-dev,
                pkg-config
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/irssi-plugin-xmpp.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/irssi-plugin-xmpp.git
 Homepage: http://cybione.org/~irssi-xmpp/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	PREFIX=/usr dh_auto_build

override_dh_auto_install:
	$(MAKE) help-install PREFIX=$(CURDIR)/debian/irssi-plugin-xmpp/usr
	cd src/ && $(MAKE) install PREFIX=$(CURDIR)/debian/irssi-plugin-xmpp/usr

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_strip:
	dh_strip --dbg-package=irssi-plugin-xmpp-dbg

## irssi-plugin-xmpp 0.53

=== debian/changelog ===
irssi-plugin-xmpp (0.53-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Drop ddeb-migration (no dbg or dbgsym package, not supported in jessie)
  * (Build-)Depend on irssi >= 1.0.0 (from backports)

 -- Florian Schlichting <fsfs@debian.org>  Thu, 09 Feb 2017 21:33:17 +0100

irssi-plugin-xmpp (0.53-1) unstable; urgency=medium

  * Import Upstream version 0.53
  * Refresh patches
  * Transition to automatic dbgsym package

 -- Florian Schlichting <fsfs@debian.org>  Sat, 19 Mar 2016 00:53:02 +0100

irssi-plugin-xmpp (0.52+git20160118-2) unstable; urgency=medium

  * Rebuild for new irssi version. This is #772479 again...
  * Use all hardening buildflags
  * Install modules in multiarch directory (closes: #817171)
  * Use secure URIs for Vcs-* fields
  * Declare compliance with Debian Policy 3.9.7

 -- Florian Schlichting <fsfs@debian.org>  Mon, 14 Mar 2016 23:20:10 +0100

=== debian/control ===
Source: irssi-plugin-xmpp
Maintainer: Florian Schlichting <fsfs@debian.org>
Section: net
Priority: optional
Build-Depends: debhelper (>= 9),
               irssi-dev (>= 1.0.0),
               libloudmouth1-dev,
               pkg-config
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/irssi-plugin-xmpp.git
Vcs-Git: https://anonscm.debian.org/collab-maint/irssi-plugin-xmpp.git
Homepage: http://cybione.org/~irssi-xmpp/

Package: irssi-plugin-xmpp
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         irssi (>= 1.0.0)
Enhances: irssi
Description: XMPP plugin for irssi
 An irssi plugin to connect to the Jabber network, using the XMPP protocol.
 .
 Its main features are:
  - Sending and receiving messages in irssi's query windows
  - A roster with contact & resource tracking (contact list)
  - Contact management (add, remove, manage subscriptions)
  - Tab completion of commands, JIDs and resources
  - Support for multiple accounts
  - Unicode support (UTF-8)
  - SSL support

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
PKGDIR = $(CURDIR)/debian/irssi-plugin-xmpp

%:
	dh $@

override_dh_auto_build:
	PREFIX=/usr dh_auto_build

override_dh_auto_install:
	$(MAKE) help-install PREFIX=$(PKGDIR)/usr
	cd src/ && $(MAKE) install PREFIX=$(PKGDIR)/usr IRSSI_LIB=$(PKGDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/irssi

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## irssi-plugin-xmpp 0.54

=== src/fe-text/Makefile ===
--- 
+++ 
@@ -1,5 +1,3 @@
-# $Id: Makefile,v 1.9 2008/08/30 17:08:02 cdidier Exp $
-
 LIB= text_xmpp
 SRCS=	text-xmpp-core.c \
 	xep/text-composing.c \

=== debian/changelog ===
irssi-plugin-xmpp (0.54-3) unstable; urgency=medium

  * drop -dbg→-dbgsym transition (no longer needed)
  * capture irssi ABI dependency (Closes: #925596)
  * add myself to uploaders, with Florian's permission

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 27 Mar 2019 12:57:14 +0100

irssi-plugin-xmpp (0.54-2.1) unstable; urgency=medium

  * Non-maintainer upload, rebuilding against newer irssi
    (Closes: #772479)

  [ Florian Schlichting ]
  * Move packaging to salsa.d.o

  [ Daniel Kahn Gillmor ]
  * d/copyright: use https and fix upstream git
  * d/watch: use version 4, look at github releases
  * d/clean: clean up generated object files
  * introduce brittle versioning to roughly match irssi ABI

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 19 Sep 2018 10:14:11 -0400

irssi-plugin-xmpp (0.54-2) unstable; urgency=medium

  * Rename ban and kick help pages to not conflict with irssi
    (closes: #877910)

 -- Florian Schlichting <fsfs@debian.org>  Sat, 07 Oct 2017 09:18:25 +0200

irssi-plugin-xmpp (0.54-1) unstable; urgency=medium

  * Update VCS and Homepage URIs
  * Mark Multi-Arch: same, as suggested by the Multiarch hinter
  * Import upstream version 0.54
  * refresh patches
  * Add a patch series from github/ailin-nemui for muc-admin support
  * Add singpolyma-null-resource-was-causing-crash-here.patch
  * Update copyright years
  * Bump dh compat to level 10
  * Declare compliance with Debian Policy 4.1.1
  * Fix a "comparison between pointer and zero character constant" warning
  * Install converted README.md

 -- Florian Schlichting <fsfs@debian.org>  Sat, 07 Oct 2017 00:59:07 +0200

=== debian/control ===
Source: irssi-plugin-xmpp
Maintainer: Florian Schlichting <fsfs@debian.org>
Uploaders: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Section: net
Priority: optional
Build-Depends: debhelper (>= 10),
               irssi-dev (>= 1.1.0~),
               libloudmouth1-dev,
               pkg-config
Standards-Version: 4.1.1
Vcs-Browser: https://salsa.debian.org/debian/irssi-plugin-xmpp
Vcs-Git: https://salsa.debian.org/debian/irssi-plugin-xmpp.git
Homepage: https://cybione.org/~irssi-xmpp/

Package: irssi-plugin-xmpp
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${irssi:ABI}
Enhances: irssi
Description: XMPP plugin for irssi
 An irssi plugin to connect to the Jabber network, using the XMPP protocol.
 .
 Its main features are:
  - Sending and receiving messages in irssi's query windows
  - A roster with contact & resource tracking (contact list)
  - Contact management (add, remove, manage subscriptions)
  - Tab completion of commands, JIDs and resources
  - Support for multiple accounts
  - Unicode support (UTF-8)
  - SSL support

=== debian/rules ===
--- 
+++ 
@@ -16,3 +16,8 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
+
+ABI = $(shell grep IRSSI_ABI_VERSION /usr/include/irssi/src/common.h | cut -d' ' -f3 )
+
+override_dh_gencontrol:
+	dh_gencontrol -- -Virssi:ABI="irssi-abi-$(ABI)"

## irssi-plugin-xmpp 0.54%2Bgit20191101%2Bc13fa5

=== debian/changelog ===
irssi-plugin-xmpp (0.54+git20191101+c13fa5-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Update dependency on irssi-dev to 1.4.2~ from backports

 -- Florian Schlichting <fsfs@debian.org>  Sun, 09 Oct 2022 23:27:16 +0200

irssi-plugin-xmpp (0.54+git20191101+c13fa5-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on irssi-dev.

  [ Florian Schlichting ]
  * Update debian/watch to look at git commits instead of release tags
  * Add patches from upstream PRs: 55_glist_find_string.patch,
    52_cap-hash.patch
  * Update copyright years
  * Declare compliance with Debian Policy 4.6.1

 -- Florian Schlichting <fsfs@debian.org>  Sun, 09 Oct 2022 23:22:24 +0200

irssi-plugin-xmpp (0.54+git20191101+c13fa5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/p/gtimeval-build-fix.patch: cherry-picked from a PR upstream to fix
    build against newer irssi (Closes: #1015031)

 -- Simon Chopin <schopin@ubuntu.com>  Tue, 02 Aug 2022 23:53:15 +0200

irssi-plugin-xmpp (0.54+git20191101+c13fa5-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Rely on pre-initialized dpkg-architecture variables.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.

  [ Florian Schlichting ]
  * Import new upstream version 0.54+git20191101+c13fa5 (closes: 931886)
  * Bump debhelper-compat to level 13
  * Refresh patches, drop those applied upstream and update
    Implement-XEP-0280-Message-Carbons.patch to upstream PR#25
  * Add Rules-Requires-Root: no
  * Declare compliance with Debian Policy 4.5.1

 -- Florian Schlichting <fsfs@debian.org>  Fri, 22 Jan 2021 21:28:54 +0800

## irssi-plugin-xmpp 0.54+git20191101+c13fa5

=== Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 help-install:
 	@echo installing command help files to ${DESTDIR}${IRSSI_HELP}
 	@install -d ${DESTDIR}${IRSSI_HELP}
-	@cd help/ && install -m 644 presence roster xmppconnect xmppserver ${DESTDIR}${IRSSI_HELP}
+	@cd help/ && install -m 644 presence roster role affiliation xmppconnect xmppserver ${DESTDIR}${IRSSI_HELP}
 
 help-uninstall:
 	@echo uninstalling command help files from ${DESTDIR}${IRSSI_HELP}

=== core/Makefile ===
--- 
+++ 
@@ -16,10 +16,12 @@
 	xep/datetime.c \
 	xep/delay.c \
 	xep/disco.c \
+	xep/muc-affiliation.c \
 	xep/muc-commands.c \
 	xep/muc-events.c \
 	xep/muc-nicklist.c \
 	xep/muc-reconnect.c \
+	xep/muc-role.c \
 	xep/muc.c \
 	xep/oob.c \
 	xep/ping.c \

=== fe-common/Makefile ===
LIB= fe_xmpp
SRCS=	fe-xmpp-messages.c \
	fe-xmpp-queries.c \
	fe-xmpp-status.c \
	fe-xmpp-windows.c \
	fe-rosters.c \
	fe-stanzas.c \
	fe-xmpp-core.c \
	module-formats.c \
	xmpp-completion.c \
	xmpp-formats.c \
	xep/fe-composing.c \
	xep/fe-delay.c \
	xep/fe-muc.c \
	xep/fe-ping.c \
	xep/fe-registration.c \
	xep/fe-vcard.c \
	xep/fe-version.c \
	xep/fe-xep.c


LIB_INCS = -I../../src/fe-common 
LIB_LIBS = `pkg-config --libs glib-2.0`

include ../rules.mk

=== debian/changelog ===
irssi-plugin-xmpp (0.54+git20191101+c13fa5-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:59:51 +1100

irssi-plugin-xmpp (0.54+git20191101+c13fa5-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:11:07 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: irssi-plugin-xmpp
-Maintainer: Florian Schlichting <fsfs@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Florian Schlichting <fsfs@debian.org>
 Uploaders: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Section: net
 Priority: optional
-Build-Depends: debhelper (>= 10),
-               irssi-dev (>= 1.1.0~),
+Build-Depends: debhelper-compat (= 13),
+               irssi-dev,
                libloudmouth1-dev,
                pkg-config
-Standards-Version: 4.1.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian/irssi-plugin-xmpp
 Vcs-Git: https://salsa.debian.org/debian/irssi-plugin-xmpp.git
 Homepage: https://cybione.org/~irssi-xmpp/
+Rules-Requires-Root: no
 
 Package: irssi-plugin-xmpp
 Architecture: any

=== debian/watch ===
version=4
opts="mode=git, pretty=0.54+git%cd+%h, pgpmode=none" \
https://github.com/cdidier/irssi-xmpp.git \
HEAD
